<?php if ( ! defined( 'ABSPATH' )  ) { die; } // Cannot access directly.

//
// Set a unique slug-like ID
//
$prefix = '_wmou_options';

//
// Create options
//
CSF::createOptions( $prefix, array(
  'menu_title' => '面板',
  'menu_slug'  => 'wmou-panel',
  'framework_title'         => '控制面板 <small>by <a href="https://www.wangmou.com/" target="_blank" title="王某">王某</a></small>',
  'footer_text'             => '&copy;'.date("Y").' <a href="https://www.wangmou.com/" target="_blank" title="网谋">网谋</a> 版权所有<div style="display:none"><script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?0fe63a9fa8fd46d3550ee45a33348d97";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script></div>',
  'footer_credit' => '交流社区：<a href="https://www.jlsq.com/forum-5-1.html" target="_blank" title="问题反馈">程序发布</a>、<a href="https://www.jlsq.com/forum-4-1.html" target="_blank" title="意见反馈">意见反馈</a>',
  
) );



//
// 全局变量
//
CSF::createSection( $prefix, array(
  'title'       => '全局变量',
  'icon'        => 'fas fa-globe',
  'fields'      => array(
    array(
      'id'    => '_html_verify',
      'type'  => 'textarea',
      'title' => 'HTML验证',
      'sanitize' => false,
      'after'   => esc_html( '添加在<head></head>之间'),
    ),
    
    array(
      'id'    => '_slogan',
      'type'  => 'textarea',
      'title'   => '宣传语/口号',
      'default'   => '一个简单易记的好域名可为您省下巨额的广告费用！',
    ),
    array(
      'id'    => '_icp',
      'type'  => 'text',
      'title'   => 'ICP备案号',
      'attributes' => array(
          'style'    => 'width: 100%;',
       ),
    ),
    array(
      'id'    => '_gongan_icp',
      'type'  => 'text',
      'title'   => '公安备案号',
      'attributes' => array(
          'style'    => 'width: 100%;',
       ),
    ),
    
    array(
      'id'    => '_analysis',
      'type'  => 'textarea',
      'title' => '统计代码',
      'sanitize' => false,
    ),
    
      array(
          'id'    => '_tel',
          'type'  => 'text',
          'title' => '手机号',
          'attributes' => array(
              'style'    => 'width: 100%;'
           ),
       ),
      array(
          'id'    => '_email',
          'type'  => 'text',
          'title' => '电子邮箱',
          'placeholder' => 'kefu@wangmou.com',
          'attributes' => array(
              'style'    => 'width: 100%;'
           ),
       ),
       
       array(
           'id'    => '_wechat_qr',
           'type'  => 'upload',
           'title' => '微信',
           'button_title' =>'上传',
        ),
       
       array(
           'id'    => '_qq_qr',
           'type'  => 'upload',
           'title' => 'QQ',
           'button_title' =>'上传',
        ),
      
      
      
  )
) );

//
// 域名列表
//
CSF::createSection( $prefix, array(
  'title'       => '域名列表',
  'icon'        => 'fas fa-globe',
  'fields'      => array(
    array(
      'id'     => '_domain_name',
      'type'   => 'group',
      'button_title' =>'添加',
      'fields' => array(
          array(
              'id'    => '_category',
              'type'  => 'text',
              'title' => '域名分类',
              'attributes' => array(
                  'style'    => 'width: 100%;'
              ),
          ),
          array(
              'id'    => '_font_awesome',
              'type'  => 'icon',
              'title' => '分类图标',
              'attributes' => array(
                  'style'    => 'width: 100%;'
              ),
          ),
          array(
              'id'    => '_color',
              'type'  => 'radio',
              'title' => '区块颜色',
              'inline'  => true,
              'options' => array(
                  'primary'    => 'Primary',
                  'secondary'   => 'Secondary',
                  'success'   => 'Success',
                  'danger'   => 'Danger',
                  'warning'   => 'Warning',
                  'info'   => 'Info',
                  'light'   => 'Light',
                  'dark'   => 'Dark',
               ),
               'default' => 'success'
          ),
          
          array(
              'id'    => '_domain_name_list',
              'type'   => 'group',
              'title' => '域名详情',
              'button_title' =>'添加',
              'fields' => array(
                  
                  array(
                      'id'    => '_domain',
                      'type'  => 'text',
                      'title' => '域名',
                      'attributes' => array(
                          'style'    => 'width: 100%;'
                      ),
                  ),
                  
                  array(
                      'id'         => '_sale_or_sell',
                      'type'       => 'switcher',
                      'title'      => '销售状态',
                      'text_on'    => '在售',
                      'text_off'   => '已售',
                      'text_width' => '100',
                      'default' => true,
                  ),
                  
                  array(
                      'id'    => '_price',
                      'type'  => 'spinner',
                      'title' => '价格',
                      'max'      => 9999999999999,
                      'min'      => 1,
                      'step'     => 1,
                      'attributes' => array(
                          'style'    => 'width: 100%;'
                      ),
                  ),
                  
                  array(
                      'id'         => '_dollar_or_yen',
                      'type'       => 'switcher',
                      'title'      => '货币符号',
                      'text_on'    => '美元',
                      'text_off'   => '人民币',
                      'text_width' => '100',
                      'default' => true,
                  ),
                  
                  array(
                      'id'    => '_description',
                      'type'  => 'textarea',
                      'title' => '描述',
                      'attributes' => array(
                          'style'    => 'width: 100%;'
                      ),
                  ),
                  
                  array(
                      'id'     => '_platform',
                      'type'   => 'group',
                      'title' => '销售平台',
                      'fields' => array(
                          
                          array(
                              'id'    => '_name',
                              'type'  => 'text',
                              'title'   => '平台名称',
                              'after' => '例如：阿里云',
                              'attributes' => array(
                                  'style'    => 'width: 100%;'
                              ),
                          ),
                          array(
                              'id'    => '_link',
                              'type'  => 'text',
                              'title'   => '购买链接',
                              'attributes' => array(
                                  'style'    => 'width: 100%;'
                              ),
                          ),
                          
                          array(
                              'id'    => '_color',
                              'type'  => 'radio',
                              'title' => '颜色',
                              'inline'  => true,
                              'options' => array(
                                  'primary'    => 'Primary',
                                  'secondary'   => 'Secondary',
                                  'success'   => 'Success',
                                  'danger'   => 'Danger',
                                  'warning'   => 'Warning',
                                  'info'   => 'Info',
                                  'light'   => 'Light',
                                  'dark'   => 'Dark',
                               ),
                               'default' => 'success'
                           ),
          
          
                    ), 
                  ),
       
             ),
          ),
      ),
    ),
  )
) );


//
// 导航设置
//
CSF::createSection( $prefix, array(
  'title'       => '导航设置',
  'icon'        => 'fas fa-bars',
  'fields'      => array(

    array(
      'id'     => '_nav',
      'type'   => 'group',
      'fields' => array(
           array(
               'id'    => '_nav_link_name',
               'type'  => 'text',
               'title' => '名称',
               'attributes' => array(
                   'style'    => 'width: 100%;',
                ),
            ),
            array(
                'id'    => '_nav_link_url',
                'type'  => 'text',
                'title' => 'URL',
                'attributes' => array(
                    'style'    => 'width: 100%;'
                ),
            ),
    
        ),
        
    ),

  )
) );

//
// SEO设置
//
CSF::createSection( $prefix, array(
  'title'       => 'SEO设置',
  'icon'        => 'fas fa-search',
  'description' => '在这里，你可以设置各个页面的SEO信息',
  'fields'      => array(
      array(
          'id'    => '_seo_title',
          'type'  => 'textarea',
          'title' => 'SEO标题',
          'default' => '{SiteName}',
          'after'   => '<p>一般不超过80个字符（网站名称变量：{SiteName}，域名变量：｛Domain｝）</p>',
       ),
       array(
           'id'    => '_seo_keywords',
           'type'  => 'textarea',
           'title' => 'SEO关键词',
           'default' => '{Domain},{SiteName},{SiteName}米表,{SiteName}域名',
           'after'   => '<p>一般不超过120个字符（网站名称变量：{SiteName}，域名变量：{Domain}）</p>',
        ),
        array(
            'id'    => '_seo_description',
            'type'  => 'textarea',
            'title' => 'SEO描述',
            'default' => '{SiteName}米表地址{Domain}',
            'after'   => '<p>一般不超过200个字符（网站名称变量：{SiteName}，域名变量：{Domain}）</p>',
        ),

)
) );


//
// 友情链接
//
CSF::createSection( $prefix, array(
  'title'       => '友情链接',
  'icon'        => 'fas fa-link',
  'fields'      => array(

    array(
      'id'     => '_link_site',
      'type'   => 'group',
      'fields' => array(
        array(
          'id'    => '_link_site_name',
          'type'  => 'text',
          'title' => '网站名称',
          'attributes' => array(
              'style'    => 'width: 100%;'
          ),
        ),
        array(
          'id'    => '_link_site_url',
          'type'  => 'text',
          'title' => '网站URL',
          'attributes' => array(
              'style'    => 'width: 100%;'
          ),
        ),
      ),
      'default' => array(
        array(
          '_link_site_name'  => '王某',
          '_link_site_url' => 'http://www.wangmou.com',
        ),
        array(
          '_link_site_name'  => '备用',
          '_link_site_url' => 'http://www.beiyong.com',
        ),
        array(
          '_link_site_name'  => '交流社区',
          '_link_site_url' => 'http://www.jlsq.com',
        ),
        array(
          '_link_site_name'  => '致富论坛',
          '_link_site_url' => 'http://www.zflt.com',
        ),
      )
    ),



  )
) );


