<?php
$SiteName=get_bloginfo('name');
$Spacer='-';
$url=parse_url (esc_url( home_url( '/' ) ));
$siteDomain=$url['host'];//获取域名
$SeoTitle= ( ! empty( _wmou("_seo_title") ) ) ? _wmou("_seo_title") : '';
$SeoKeywords= ( ! empty( _wmou("_seo_keywords") ) ) ? _wmou("_seo_keywords") : '';
$SeoDescription= ( ! empty( _wmou("_seo_description") ) ) ? _wmou("_seo_description") : '';
if($SeoTitle!=''){
    $Title=$SeoTitle;
    $Title = str_replace('{Domain}',$siteDomain,$Title);
    $Title = str_replace('{SiteName}',$SiteName,$Title);
}else{
    $Title= $SiteName;
}
if($SeoKeywords!=''){
    $Keywords=$SeoKeywords;
    $Keywords = str_replace('{Domain}',$siteDomain,$Keywords);
    $Keywords = str_replace('{SiteName}',$SiteName,$Keywords);
}else{
    $Keywords= $SiteName;
}
if($SeoDescription!=''){
    $Description=$SeoDescription;
    $Description = str_replace('{Domain}',$siteDomain,$Description);
    $Description = str_replace('{SiteName}',$SiteName,$Description);
}else{
    $Description= $SiteName;
}
?>
<!doctype html>
<html lang="zh-CN">
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title><?php echo $Title;?></title>
	<meta name="keywords" content="<?php if(!empty($Keywords)){echo strip_tags($Keywords);}?>" />
	<meta name="description" content="<?php if(!empty($Description)){echo trim(strip_tags($Description));}?>" />
	<link href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap/5.3.0-alpha1/css/bootstrap.min.css" rel="stylesheet">
	<link rel="stylesheet" href="https://cdn.bootcdn.net/ajax/libs/font-awesome/6.2.0/css/all.css">
	<script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap/5.3.0-alpha1/js/bootstrap.bundle.min.js"></script>
    <?php if(_wmou('_html_verify')!=''){echo _wmou('_html_verify');}?>
</head>
<body>
	<nav class="navbar navbar-expand-lg bg-body-tertiary">
		<div class="container-fluid">
			<a class="navbar-brand d-flex" href="<?php echo home_url();?>"><?php echo get_bloginfo('name');?></a>
			<button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarScroll" aria-controls="navbarScroll" aria-expanded="false" aria-label="Toggle navigation">
				<span class="navbar-toggler-icon"></span>
			</button>
			<div class="collapse navbar-collapse" id="navbarScroll">
				<ul class="navbar-nav me-auto my-2 my-lg-0 navbar-nav-scroll" style="--bs-scroll-height: 100px;">
					<li class="nav-item">
						<a class="nav-link active" aria-current="page" href="<?php echo home_url();?>">首页</a>
					</li>
					<?php if(!empty(_wmou('_nav'))){$navs=_wmou('_nav');?>
					<?php foreach ($navs as $nav){?>
					<li class="nav-item">
						<a class="nav-link" href="<?php echo $nav['_nav_link_url'];?>"><?php echo $nav['_nav_link_name'];?></a>
					</li>
					<?php } } ?>
				</ul>

				<span class="navbar-text">
					<i class="fa fa-copyright me-1"></i><a href="/" title="<?php echo get_bloginfo('name');?>" class="text-decoration-none text-reset text-muted" target="_blank"><?php echo get_bloginfo('name');?></a>
				</span>

			</div>
		</div>
	</nav>
	<div class="p-3 p-md-3 text-center bg-body-secondary">
		<div class="col-md-5 p-lg-4 mx-auto">
			<h1 class="display-4 fw-bold"><?php echo get_bloginfo('name');?></h1>
			<?php if(!empty(_wmou('_slogan'))){?><p class="lead fw-normal"><?php echo _wmou('_slogan');?></p><?php } ?>
			<div class="btn-group" role="group" aria-label="Basic mixed styles example">
				<?php if(!empty(_wmou('_email'))){?>
				<a href="mailto:<?php echo _wmou('_email');?>" class="btn btn-danger" title="<?php echo _wmou('_email');?>">
					<i class="fa-solid fa-envelope me-1"></i>邮箱
				</a>
				<?php } ?>
				<?php if(!empty(_wmou('_tel'))){?>
				<a href="tel:<?php echo _wmou('_tel');?>" class="btn btn-warning" title="<?php echo _wmou('_tel');?>">
					<i class="fa-solid fa-mobile-screen-button me-1"></i>手机
				</a>
				<?php } ?>
				<?php if(!empty(_wmou('_qq_qr'))){?>
				<a type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#qq">
					<i class="fa-brands fa-qq me-1"></i>QQ
				</a>
				<?php } ?>
				<?php if(!empty(_wmou('_wechat_qr'))){?>
				<a type="button" class="btn btn-success" data-bs-toggle="modal" data-bs-target="#wechat">
					<i class="fa-brands fa-weixin me-1"></i>微信
				</a>
				<?php } ?>
			</div>
		</div>
	</div>
	<div class="container mt-3">
	    
	    <?php if(!empty(_wmou('_domain_name'))){
	        $domainNames=_wmou('_domain_name');
	    foreach ($domainNames as $domainName){
	        //var_dump($domainName);
	        $category=( ! empty($domainName["_category"]) ) ? $domainName["_category"] : '';
	        $categoryColor=( ! empty($domainName["_color"]) ) ? $domainName["_color"] : '';
	        $categoryFontAwesome=( ! empty($domainName["_font_awesome"]) ) ? $domainName["_font_awesome"] : '';
	        $domainNameLists=( ! empty($domainName["_domain_name_list"]) ) ? $domainName["_domain_name_list"] : '';
	        
	    ?>
		<div class="bg-<?php if(!empty($categoryColor)){echo $categoryColor;}?>-subtle fs-5 ps-2 py-2 text-<?php if(!empty($categoryColor)){echo $categoryColor;}?> fw-bold rounded-top">
			<?php if(!empty($categoryFontAwesome)){echo '<i class="'.$categoryFontAwesome.' me-1"></i>';}?><?php if(!empty($category)){echo $category;}?>
		</div>
		<table class="table table-hover shadow">
			<tbody>
			    <?php if(!empty($domainNameLists)){
			    foreach ($domainNameLists as $domainNameList){
	              $domain=( ! empty($domainNameList["_domain"]) ) ? $domainNameList["_domain"] : '';
	              $saleOrSell=$domainNameList["_sale_or_sell"];
	              $dollarOrYen=$domainNameList["_dollar_or_yen"];
	              $price=( ! empty($domainNameList["_price"]) ) ? $domainNameList["_price"] : '';
	              $description=( ! empty($domainNameList["_description"]) ) ? $domainNameList["_description"] : '';
	              $platforms=( ! empty($domainNameList["_platform"]) ) ? $domainNameList["_platform"] : '';
			    ?>
				<tr>
					<th scope="row">
						<span<?php if($saleOrSell==0){echo' class="text-danger text-decoration-line-through"';}?>><?php if(!empty($domain)){echo $domain;}?></span>
					</th>
					<td<?php if($saleOrSell==0){echo' class="text-danger text-decoration-line-through"';}?>>
						<i class="fa-solid <?php if($dollarOrYen==0){echo'fa-yen-sign';}else{ echo 'fa-dollar-sign';}?>"></i><?php if(!empty($price)){echo $price;}?>
					</td>
					<td<?php if($saleOrSell==0){echo' class="text-danger text-decoration-line-through"';}?>><?php if(!empty($description)){echo $description;}?></td>
					
					<?php if(!empty($platforms)){?>
					<td>
						<a class="dropdown-toggle text-decoration-none text-warning" type="button" data-bs-toggle="dropdown" aria-expanded="false">
							<i class="fa-solid fa-cart-shopping"></i>
						</a>
						<ul class="dropdown-menu px-2">
							<?php foreach ($platforms as $platform){
							    $name=( ! empty($platform["_name"]) ) ? $platform["_name"] : '';
							    $link=( ! empty($platform["_link"]) ) ? $platform["_link"] : '';
							    $color=( ! empty($platform["_color"]) ) ? $platform["_color"] : ''; if(!empty($name) && !empty($link)){?><a href="<?php echo $link;?>" class="badge text-bg-<?php if(!empty($color)){echo $color;}else{ echo 'light';}?> text-decoration-none me-1" target="_blank"><?php echo $name;?></a><?php } } ?>
						</ul>
					</td>
					<?php } ?>
				</tr>
				<?php } } ?>
			</tbody>
		</table>
		<?php } } ?>
		<?php if(!empty(_wmou('_link_site'))){$links=_wmou('_link_site');?>
		<div class="shadow rounded">
			<div class="fw-bold mt-4 fs-5 px-3 py-2">
				<i class="fas fa-link text-success me-2"></i>友情链接
			</div>
			<div class="p-3 bg-light">
			    <?php foreach ($links as $link){?><a href="<?php echo $link['_link_site_url'];?>" title="<?php echo $link['_link_site_name'];?>" class="text-decoration-none text-body text-opacity-75 me-1" target="_blank"><?php echo $link['_link_site_name'];?></a><?php } ?>
			</div>
		</div>
		<?php } ?>
	</div>
	<div class="mt-3 bg-body-tertiary py-3 text-center">
		<div class="w-100">&copy;<?php echo date("Y"); ?><a href="<?php echo home_url();?>" title="<?php echo get_bloginfo('name'); ?>" class="text-body text-decoration-none fw-bold mx-2"><?php echo get_bloginfo('name'); ?></a>版权所有</div>
        <?php if(!empty(_wmou('_gongan_icp'))){?><div class="w-100"><a href="http://www.beian.gov.cn/portal/registerSystemInfo?recordcode=<?php echo findNum(_wmou('_gongan_icp'));?>" target="_blank" rel="nofollow" class="text-reset text-decoration-none"><img src="<?php bloginfo('template_url'); ?>/images/gongan.png" height="20" class="me-1" alt="<?php echo get_bloginfo('name');?>" loading="lazy"><?php echo _wmou('_gongan_icp')?></a></div>
        <?php } ?>
        <?php if(_wmou('_icp')!=''){?><div class="w-100"><a href="http://beian.miit.gov.cn/" target="_blank" rel="nofollow" class="text-reset text-decoration-none"><?php echo _wmou('_icp');?></a></div>
        <?php } ?>
		<div class="w-100 small">由<a class="text-body text-decoration-none mx-1" href="https://www.wangmou.com" title="网谋">网谋</a>提供技术支持</div>
	</div>
	<?php if(!empty(_wmou('_qq_qr'))){?>
	<!-- Modal -->
	<div class="modal fade" id="qq" tabindex="-1" aria-labelledby="qqLabel" aria-hidden="true">
		<div class="modal-dialog modal-dialog-centered">
			<div class="modal-content">
				<div class="modal-header">
					<h1 class="modal-title fs-5" id="qqLabel">QQ/TIM扫一扫，加我好友</h1>
					<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
				</div>
				<div class="modal-body text-center">
					<img src="<?php echo _wmou('_qq_qr');?>" class="mw-100">
				</div>
				<div class="modal-footer">
					<button type="button" class="btn btn-secondary" data-bs-dismiss="modal">关闭</button>
				</div>
			</div>
		</div>
	</div>
	<?php }?>
	<?php if(!empty(_wmou('_wechat_qr'))){?>
	<!-- Modal -->
	<div class="modal fade" id="wechat" tabindex="-1" aria-labelledby="wechatLabel" aria-hidden="true">
		<div class="modal-dialog modal-dialog-centered">
			<div class="modal-content">
				<div class="modal-header">
					<h1 class="modal-title fs-5" id="wechatLabel">微信扫一扫，加我好友</h1>
					<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
				</div>
				<div class="modal-body text-center">
					<img src="<?php echo _wmou('_wechat_qr');?>" class="mw-100">
				</div>
				<div class="modal-footer">
					<button type="button" class="btn btn-secondary" data-bs-dismiss="modal">关闭</button>
				</div>
			</div>
		</div>
	</div>
	<?php }?>
<?php if(_wmou('_analysis')!=''){?>
  <div style="display:none"><?php echo _wmou('_analysis');?></div>
<?php }?>
</body>
</html>